Loading...
Searching...
No Matches
GradientNormSqrd< MapType, GradScheme > Struct Template Reference

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor >
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const MapType &map, const StencilT &stencil)

## Static Public Attributes

static const DScheme | FD = BIAS_SCHEME<GradScheme>::FD
static const DScheme | BD = BIAS_SCHEME<GradScheme>::BD

## Member Function Documentation

## result() [1/2]

template<typename MapType , BiasedGradientScheme GradScheme>
template<typename Accessor >

static Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |

inlinestatic

## result() [2/2]

template<typename MapType , BiasedGradientScheme GradScheme>
template<typename StencilT >

static StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT & | stencil
| ) |  |

inlinestatic

## Member Data Documentation

## BD

template<typename MapType , BiasedGradientScheme GradScheme>

const DScheme BD = BIAS_SCHEME<GradScheme>::BD

static

## FD

template<typename MapType , BiasedGradientScheme GradScheme>

const DScheme FD = BIAS_SCHEME<GradScheme>::FD

static